<nav class="navbar">
    <ul class="navSide">
        <li class="navItem">
            <a aria-current="page" href="{{ path('homepage') }}">
                <img src="{{ asset('img/logo.png') }}">
            </a>
        </li>
        <li class="navItem">
            <a href="{{ path('app_session') }}">
                <img src="{{ asset('img/session.svg') }}">
            </a>
        </li>
        <li class="navItem">
            <a href="{{ path('articles_index') }}">
                <img src="{{ asset('img/actu.svg') }}">
            </a>
        </li>
    </ul>

    {{ render(path('app_onglet')) }}

    <ul class="navSide">
        {% if app.user %}
            <span id="id" style="visibility:hidden; display: none">{{ app.user.username }}</span>
            <li class="nav-item">
                <a class="nav-link avatar" href="{{ path('app_utilisateur', { 'id': app.user.id }) }}">
                    <img id="icon" class="avatar__image">
                    {{ app.user.userIdentifier }}
                </a>
            <li class="nav-item">
                <a class="nav-link" href="{{ path('app_logout') }}">
                    <img src="{{ asset('img/login.svg') }}">
                </a>
            </li>
        {% else %}
            <li class="nav-item">
                <a class="nav-link" href="{{ path('app_login') }}">
                    <img src="{{ asset('img/login.svg') }}">
                </a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="{{ path('app_register') }}">
                    <img src="{{ asset('img/register.svg') }}">
                </a>
            </li>
        {% endif %}
    </ul>
</nav>

<script>
    window.addEventListener('load', () => {
        let id = document.getElementById('id').innerHTML;
        fetch(`https://euw1.api.riotgames.com/lol/summoner/v4/summoners/by-name/${id}?api_key=RGAPI-7716b89c-21ff-4172-b881-d352df9448a7`)
            .then(function(response) {
                return response.json();
            })
            .then(function(data) {
                document.getElementById('icon').src = `https://ddragon.leagueoflegends.com/cdn/10.15.1/img/profileicon/${data.profileIconId}.png`
                //document.getElementById("icon").src = data.icon;
            });
    })
</script>
